/* dumpmem - a small utility to execute a binary and dump its memory */ 
/* contents before it begins executing.                              */ 
/*                                                                   */ 
/* Muli Ben-Yehuda <mulix@mulix.org>                                 */ 
/* Licensed under the GPL V2                                         */ 
/*                                                                   */ 
/* $Id: maps.h,v 1.1 2002/11/13 11:34:14 mulix Exp $              */ 

#ifndef MAPS_H_
#define MAPS_H_

/* a linked list of process vmas */ 
struct map {
	struct map* next; 
	unsigned long begin; /* starting address for this map */ 
	unsigned long end;   /* ending address for this map */ 
}; 

/* get the maps for this process */ 
/* caller needs to free the maps linked list */ 
void get_maps(pid_t proc, struct map** m); 

#endif /* MAPS_H_ */ 
